---
title: GitLab Commit 2019
description: "GitLab Commit 2019: GitLab’s premier user conference"
image_title: '/images/events/gitlab-commit/gitlab-commit-header.png'
layout: default
suppress_header: true
extra_css:
  - faq.css
  - event-commit.css
  - simplify-devops.css
extra_js:
  - libs/on-scroll.js
  - in-page-nav.js
  - all-clickable.js
  - simplify-devops.js
---
-# .container-full.attention-bar-top
  .row.u-margin-top-xs.u-margin-bottom-xs
    .col-md-8.text-center
      %p GitLab Commit call for proposals closes July 19th
    .col-md-4.text-left
      %a.article-link{ href: "#proposals" }
        Learn more
        %i.fa.fa-arrow-right

.hero-video-container#hero-video-container
  %iframe#hero-video{ src: "", allow: "accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture", frameborder: "0", allowfullscreen: "1" }

.blank-header.commit-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg", alt: "Gitlab hero border pattern left svg" }/
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg", alt: "Gitlab hero border pattern right svg" }/
  .header-content
    %img.hero-commit-image-large{ src: "/images/events/gitlab-commit/gitlab-commit-horizontal-logo-white.svg", alt: "Gitlab Commit logo" }/
    %h3 GitLab's premier user conference
    %p Join us and commit to a day of DevOps inspiration and innovation.

.gitlab-content-container.commit-content-container
  .content.commit-content
    .row
      .col-md-6.column-register.text-center{ style: "background-attachment: fixed; background: url('/images/events/gitlab-commit/gitlab-commit-brooklyn-logo-date-image_2x.jpg') center center no-repeat; background-size: cover" }
        %a#eventbrite-widget-modal-trigger-63012432883.btn.cta-btn.orange{ href: "#" }Register

      .col-md-6.column-register.text-center{ style: "background-attachment: fixed; background: url('/images/events/gitlab-commit/gitlab-commit-london-logo-date-image_2x.jpg') center center no-repeat; background-size: cover" }
        %a#eventbrite-widget-modal-trigger-63010280445.btn.cta-btn.orange{ href: "#" }Register

    .js-in-page-nav-group{ role: "main", offset: 0, showhash: "true" }
      .container
        .row.u-margin-top-md.video-gitlab-explained-container
          .col-md-4.text-center
            .video-thumb-container{ "data-videourl": "https://www.youtube.com/embed/VBxnxJqWo3o?autoplay=1&rel=0" }
              .video-thumb
              .video-play-container
                = partial "includes/simplify-devops/thumbnail-video-play-white", locals: { caption: "GitLab Commit 2019" }

          .col-md-8.text-left
            %p.video-intro-copy.u-margin-top-xs The inaugural GitLab Commit will bring together GitLab users for a day of learning, networking, and inspiration. Hear speakers from NASA, Delta, Goldman Sachs, T-Mobile, and more talk about how they are driving innovation forward within their organizations. Experts in continuous integration, continuous delivery, Kubernetes, DataOps, and security will provide cutting-edge insight into the latest DevOps technologies.  Expect to go home with new tricks, fresh solutions to age-old problems, and some new friends! 

      -# <-- remove minus hashtag to re-enable     .row#proposals.u-margin-top-xl.u.margin-bottom-xl

      -# <-- remove minus hashtag to re-enable     .row.u-margin-top-md
        .col-md-5.col-md-offset-1.text-center
          %img.title-icon{ src: "/images/events/gitlab-commit/call-for-proposal.jpg", alt: "Gitlab call for proposal jpg" }/
        .col-md-5.text-left
          %h3 Call for proposals
          %p We invite you to speak at GitLab Commit and share your software journey. We’re looking for stories that showcase the power of DevOps in action. Share the technologies and strategies you’ve employed, your challenges and success, or a behind-the-scenes look at how you are building something incredible.
          %a.btn.cta-btn.orange.margin-top20{ href: "https://docs.google.com/forms/d/e/1FAIpQLSdbDLOt7jYDlvZqgs2-IlOoLexszEZ0zGghA3HB-VEq_vVICA/viewform" } Submit

      .row.js-in-page-nav-section#attend
        .col-md-10.col-md-offset-1.text-center
          %h2.u-text-brand{ style: "display: none" } Attend

      .row
        .container
          .u-margin-top-lg.u-padding-bottom-sm.text-left
            %h2.u-text-brand.text-center Attend
            %ul.compare-tabs.dark-tabs.attend-tabs.text-center{ role: "tablist" }
              %li.active{ role: "presentation" }
                %a{ 'data-target' => '#attend-brooklyn', 'data-toggle' => 'tab', 'aria-controls' => 'attend-brooklyn', role: 'tab', href: "#attend-brooklyn" }
                  Brooklyn
              %li{ role: "presentation" }
                %a{ 'data-target' => '#attend-london', 'data-toggle' => 'tab', 'aria-controls' => 'attend-london', role: 'tab', href: "#attend-london" }
                  London
              %li{ role: "presentation" }
                %a{ 'data-target' => '#attend-bay-area', 'data-toggle' => 'tab', 'aria-controls' => 'attend-bay-area', role: 'tab', href: "#attend-bay-area" }
                  Bay Area
            .tab-content
              .tab-pane.active{ id: 'attend-brooklyn', role: 'tabpanel' }
                .row.u-margin-top-sm
                  %h4.text-center
                    %a{ href: "https://www.eventbrite.com/e/gitlab-commit-2019-brooklyn-tickets-63012432883" } <b>September 17, 2019 | Get Tickets</b>
                  %p Get ready to experience a GitLab Williamsburg neighborhood takeover on September 17th. Every venue in a two-block radius will have its own theme, immersing you in the city that never sleeps. From a graffiti wall to a trip to a brewery, you'll have an exciting backdrop to your day of learning about the future of software development.
              .tab-pane{ id: 'attend-london', role: 'tabpanel' }
                .row.u-margin-top-sm.u-margin-bottom-sm
                  %h4.text-center
                    %a{ href: "https://www.eventbrite.com/e/gitlab-commit-2019-london-tickets-63010280445" } <b>October 9, 2019 | Get Tickets</b>
                  %p Down a cobblestone drive in the heart of the City of London is The Brewery, where your journey begins. For one day only, this 18th-century brewery plays host to leaders and innovators who will share their own voyages of automation, exploration, and transformation. Share and gain insights to increase velocity and shape the future of development. Then wrap it all up with a mini-golf party in the moonlight. Jolly good stuff!
              .tab-pane{ id: 'attend-bay-area', role: 'tabpanel' }
                .row.u-margin-top-sm
                  %h4.text-center
                    <b>January 2020</b> More information coming soon!

        .container
          %h4.text-center Diversity and inclusion scholarship
          %p GitLab, with support from CNCF, is offering diversity and inclusion scholarships to individuals who may not otherwise have the opportunity to attend our Commit events. Applications are open for Brooklyn and London.
          %p.text-center
            %a.btn.cta-btn.orange{ target: "_blank", href: "https://docs.google.com/forms/d/e/1FAIpQLSeJ4mLWqr235bQMq_zXUCyYHlledSyQfBW04FpWf14SgYiT1w/viewform?usp=sf_link" } Apply today


      .row.js-in-page-nav-section.u-margin-top-lg#learn
        .col-md-12.u-margin-top-sm.u-padding-bottom-md.text-center
          %h2.u-text-brand Learn
          %h4 What to expect at GitLab Commit
          .container
            .row.u-margin-top-sm
              .col-md-5.col-md-offset-1.text-left
                .container-flex.u-margin-bottom-xs
                  %img.title-icon{ src: "/images/events/gitlab-commit/new-feature.png", alt: "Gitlab talks png" }
                  %h3.margin0 Talks
                %p Attend carefully curated sessions and talks presented by GitLab users, contributors, and product team members.
              .col-md-5.text-left
                .container-flex.u-margin-bottom-xs
                  %img.title-icon{ src: "/images/events/gitlab-commit/communication.png", alt: "Gitlab talks png" }
                  %h3.margin0 Ask the experts
                %p Join an "Ask the Experts" roundtable to get your questions answered by knowledgeable GitLabbers.
            .row.u-margin-top-sm
              .col-md-5.col-md-offset-1.text-left
                .container-flex.u-margin-bottom-xs
                  %img.title-icon{ src: "/images/events/gitlab-commit/access.png", alt: "Gitlab talks png" }
                  %h3.margin0 Support
                %p Visit the GitLab Support Lab for 1:1 problem solving and troubleshooting.
            .row.u-margin-top-sm
              .col-md-5.col-md-offset-1.text-left
                %h3 Cloud native
                %p Learn how to leverage cloud native technologies like Kubernetes, severless, and multicloud to build and run applications better and faster.
              .col-md-5.text-left
                %h3 DevOps in Action
                %p Take away practical advice and examples of how others have navigated their DevOps transformations. These sessions focus on actions and results rather than high level ideas.
            .row
              .col-md-5.col-md-offset-1.text-left
                %h3 Live coding
                %p These adrenaline-pumped sessions will feature do-ers on stage, live coding, debugging, and hacking. Join along with your laptop or just enjoy the show.
              .col-md-5.text-left
                %h3 Powered by GitLab
                %p Software has eaten the world and we are all better for it. Hear how developers like you are building on GitLab to solve large, world problems from humanitarian crises to space exploration.

      .row.highlight-background.js-in-page-nav-section#speakers
        .container
          .u-margin-top-sm.text-center
            %h2.u-text-brand{ style: "display: none" } Speakers
            %h2.u-text-brand Featured Speakers
            %h5.subtitle Our lineup will continue to grow, so please check back for more details.

            %ul.compare-tabs.speakers-tabs.text-center{ role: "tablist" }
              %li.active{ role: "presentation" }
                %a{ 'data-target' => '#speakers-brooklyn', 'data-toggle' => 'tab', 'aria-controls' => 'speakers-brooklyn', role: 'tab', href: "#speakers-brooklyn" }
                  Brooklyn
              %li{ role: "presentation" }
                %a{ 'data-target' => '#speakers-london', 'data-toggle' => 'tab', 'aria-controls' => 'speakers-london', role: 'tab', href: "#speakers-london" }
                  London
            .tab-content
              .tab-pane.active{ id: 'speakers-brooklyn', role: 'tabpanel' }
                .row.u-margin-top-sm.u-margin-bottom-sm
                  - data.speakers_commit.each do |speaker|
                    -if speaker.speakingregions.include?("Brooklyn") && speaker.years.include?(2019)
                      .col-md-4
                        = partial "includes/events/speaker", locals: {name: speaker.name, title: speaker.title, company: speaker.company, photourl: speaker.photourl}
              .tab-pane{ id: 'speakers-london', role: 'tabpanel' }
                .row.u-margin-top-sm.u-margin-bottom-sm
                  - data.speakers_commit.each do |speaker|
                    -if speaker.speakingregions.include?("London") && speaker.years.include?(2019)
                      .col-md-4
                        = partial "includes/events/speaker", locals: {name: speaker.name, title: speaker.title, company: speaker.company, photourl: speaker.photourl}

      .row.js-in-page-nav-section#schedule
        .container
          .u-margin-top-sm
            %h2.u-text-brand.text-center Schedule
            %ul.compare-tabs.dark-tabs.schedule-tabs.text-center{ role: "tablist" }
              %li.active{ role: "presentation" }
                %a{ 'data-target' => '#schedule-brooklyn', 'data-toggle' => 'tab', 'aria-controls' => 'schedule-brooklyn', role: 'tab', href: "#schedule-brooklyn" }
                  Brooklyn
              %li{ role: "presentation" }
                %a{ 'data-target' => '#schedule-london', 'data-toggle' => 'tab', 'aria-controls' => 'schedule-london', role: 'tab', href: "#schedule-london" }
                  London
            .tab-content
              .tab-pane.active{ id: 'schedule-brooklyn', role: 'tabpanel' }
                .row.u-margin-top-sm.u-margin-bottom-sm
                  %iframe{ src: 'https://gitlabcommit2019brooklyn.sched.com/' }
              .tab-pane{ id: 'schedule-london', role: 'tabpanel' }
                .row.u-margin-top-sm.u-margin-bottom-sm
                  %iframe{ src: 'https://gitlabcommit2019london.sched.com/' }

      .row.u-margin-top-md.js-in-page-nav-section#sponsor
        .col-md-10.col-md-offset-1.u-margin-top-sm.text-center
          %h2.u-text-brand Sponsors
          .row.u-margin-top-md.u-margin-bottom-md
            .col-md-12
              = partial "/includes/events/commit/sponsor-logos-transparent", locals: { logos_data: data.sponsors, title: "Our Honored Sponsors", link_text: "sponsors", link_url: "#" }
            .col-md-12
              = partial "/includes/events/commit/sponsor-logos-transparent", locals: { logos_data: data.sponsors_media_partners, title: "Media Partners", link_text: "sponsors", link_url: "#" }
              %h5
                Please email us at
                %a{ href: "mailto:commit@gitlab.com" }commit@gitlab.com
                to receive a sponsorship prospectus.

      .row.js-in-page-nav-section#stay-connected
        .col-md-10.col-md-offset-1.u-margin-top-sm
          %h2.u-text-brand.text-center Stay Connected
          .row.u-margin-top-sm
            %script{ src: "//app-ab13.marketo.com/js/forms2/js/forms2.min.js", type: "text/javascript", charset: "utf-8" }
            %form#mktoForm_2064
              :javascript
                MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 2064);

      .row.u-margin-top-md
        .col-md-10.col-md-offset-1.text-center
          %h4 Third event coming to the Bay Area January 2020 - More Information Coming Soon!

%script{ src: "https://www.eventbrite.com/static/widgets/eb_widgets.js", type: "text/javascript", charset: "utf-8" }

:javascript
    window.EBWidgets.createWidget({
      widgetType: 'checkout',
      eventId: '63010280445',
      modal: true,
      modalTriggerElementId: 'eventbrite-widget-modal-trigger-63010280445',
      onOrderComplete: function() {
        console.log('Eventbrite London order complete');
      }
    });

    window.EBWidgets.createWidget({
      widgetType: 'checkout',
      eventId: '63012432883',
      modal: true,
      modalTriggerElementId: 'eventbrite-widget-modal-trigger-63012432883',
      onOrderComplete: function() {
        console.log('Eventbrite Brooklyn order complete');
      }
    });
